#ifndef _CMOTIONBLUR_H_
#define _CMOTIONBLUR_H_

#include "../app/EngineH.h"

class CMotionBlur
{
private :
	uint		_texture_id;
	float		_blend;
	TVel		_vel;

	void		_Init();
	void		_DrawImage(unsigned int texture_id,float width,float height,float x,float y);
	uint		_CreateEmptyTexture(int w, int h);
public :
	CMotionBlur( );
	CMotionBlur( TVel );
	CMotionBlur( float width, float height );
	
public :
	void Create();
	void StartMotionBlur( float scr_width, float scr_height );
	void CMotionBlur::EndMotionBlur( float scr_width, float scr_height );

};

#endif _CMOTIONBLUR_H_